package com.example.nto.utils;

import com.example.nto.dto.AuthorityDTO;
import com.example.nto.dto.CredentialsDTO;
import com.example.nto.entity.Authority;
import com.example.nto.entity.Credentials;
import lombok.experimental.UtilityClass;

@UtilityClass
public class CredentialsMapper {
    public static CredentialsDTO convertDTO(Credentials credentials) {
        CredentialsDTO credentialsDTO = new CredentialsDTO();
        credentialsDTO.setId(credentials.getId());
        credentialsDTO.setLogin(credentials.getLogin());
        credentialsDTO.setHashedPassword(credentials.getHashedPassword());
        return credentialsDTO;
    }
}