
package com.example.nto.service;

import com.example.nto.dto.CredentialsDTO;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public interface CredentialsService {
    List<CredentialsDTO> getAllCredentials();
    CredentialsDTO getCredentialsById(Long id);
    CredentialsDTO createCredentials(CredentialsDTO dto);
    CredentialsDTO updateCredentials(Long id, CredentialsDTO dto);
    void deleteCredentials(Long id);
}
