package com.example.nto.service;

import com.example.nto.dto.EmployeeDTO;
import com.example.nto.dto.UserRegisterDTO;
import com.example.nto.entity.Employee;

import java.util.Optional;

public interface EmployeeService {

    Employee updateEmployee(long id, Employee newEmployee);
    Optional<Employee> findByLogin(String login);

    EmployeeDTO findById(Long id);

    boolean findExistByLogin(String login);

    EmployeeDTO createUser(UserRegisterDTO dto);

    EmployeeDTO getUserByUsername(String login);

    EmployeeDTO get(String name);
}
