package com.example.nto.service.impl;

import com.example.nto.dto.CredentialsDTO;
import com.example.nto.dto.TerminalDTO;
import com.example.nto.entity.Credentials;
import com.example.nto.entity.Terminal;
import com.example.nto.repository.CredentialsRepository;
import com.example.nto.repository.TerminalRepository;
import com.example.nto.service.CredentialsService;
import com.example.nto.service.TerminalService;
import com.example.nto.utils.CredentialsMapper;
import com.example.nto.utils.TerminalMapper;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Optional;
import java.util.stream.Collectors;

@Service
@RequiredArgsConstructor
public class TerminalServiceimpl implements TerminalService {

    private final TerminalRepository terminalRepository;


    @Override
    public TerminalDTO getTerminalbyId(Long id) {
        Optional<Terminal> terminal = terminalRepository.findById(id);
        return terminal.map(TerminalMapper::convertDTO).orElse(null);
    }
}