package com.example.nto.utils;


import com.example.nto.dto.EmployeeDTO;
import com.example.nto.entity.Employee;
import lombok.experimental.UtilityClass;

@UtilityClass
public class EmployeeMapper {
    public static EmployeeDTO convertDTO(Employee user) {
        EmployeeDTO employeeDTO = new EmployeeDTO();
        employeeDTO.setId(user.getId());
        employeeDTO.setLogin(user.getLogin());
        employeeDTO.setName(user.getName());
        if (user.getAuthority() != null) {
            employeeDTO.setAuthority_id(user.getAuthority().getId());
        }
        if (user.getCredentials() != null) {
            employeeDTO.setCredentials(user.getCredentials().getId());
        }
        employeeDTO.setPassword(user.getPassword());
        employeeDTO.setPhoto(user.getPhoto());
        employeeDTO.setPosition(user.getPosition());
        employeeDTO.setLastVisit(user.getLastVisit());

        return employeeDTO;
    }
}