package com.example.nto.utils;



import com.example.nto.dto.PassDTO;
import com.example.nto.entity.Pass;
import lombok.experimental.UtilityClass;

@UtilityClass
public class PassMapper {
    public static PassDTO convertDTO(Pass pass) {
        PassDTO passDTO = new PassDTO();
        passDTO.setId(pass.getId());
        if (pass.getEmployee() != null) {
            passDTO.setEmployee(pass.getEmployee().getId());
        }
        passDTO.setLocalDateTime(pass.getTime());
        if (pass.getTerminal() != null) {
            passDTO.setTerminal(pass.getTerminal().getId());
        }


        return passDTO;
    }
}